Bug 1257617 - SELinux is preventing brcupsconfpt1 from 'execute' accesses on the file /etc/ld.so.cache.
SELinux is preventing brcupsconfpt1 from 'execute' accesses on the file /etc/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:81e21f553896b7909d45e810194...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 09:09 EDT by obi8
Modified: 2016-07-19 16:36 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description obi8 2015-08-27 09:09:55 EDT
Description of problem:
I have the Brother DCP-J315W installed (rpm) printer driver.
I followed the installation instructions. 
When test pressure then causes the error.
SELinux is preventing brcupsconfpt1 from 'execute' accesses on the file /etc/ld.so.cache.

*****  Plugin catchall (100. confidence) suggests   **************************

If sie denken, dass es brcupsconfpt1 standardmässig erlaubt sein sollte, execute Zugriff auf ld.so.cache file zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep brcupsconfpt1 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:ld_so_cache_t:s0
Target Objects                /etc/ld.so.cache [ file ]
Source                        brcupsconfpt1
Source Path                   brcupsconfpt1
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           glibc-2.21-7.fc22.x86_64 glibc-2.21-7.fc22.i686
Policy RPM                    selinux-policy-3.13.1-128.10.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.6-200.fc22.x86_64 #1 SMP Mon
                              Aug 17 19:54:31 UTC 2015 x86_64 x86_64
Alert Count                   21
First Seen                    2015-08-27 13:50:19 CEST
Last Seen                     2015-08-27 13:50:19 CEST
Local ID                      8f18d39d-2fff-4c48-a4a2-4434abc97703

Raw Audit Messages
type=AVC msg=audit(1440676219.705:534): avc:  denied  { execute } for  pid=2274 comm="brdcpj315wfilte" path="/etc/ld.so.cache" dev="dm-1" ino=1445333 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:ld_so_cache_t:s0 tclass=file permissive=0


Hash: brcupsconfpt1,cupsd_t,ld_so_cache_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-128.10.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-200.fc22.x86_64
type:           libreport
Comment 1 stephenbrooks650 2015-08-31 22:53:24 EDT
Description of problem:
attempting to print to my brother dcp197 printer.

Version-Release number of selected component:
selinux-policy-3.13.1-128.12.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-200.fc22.i686+PAE
type:           libreport
Comment 2 Yajo 2015-09-14 13:34:27 EDT
Description of problem:
Printing a PDF from evince.

Version-Release number of selected component:
selinux-policy-3.13.1-128.12.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-200.fc22.x86_64
type:           libreport
Comment 3 Yajo 2015-09-14 13:35:07 EDT
Also a Brother printer (DCP-J552DW).
Comment 4 Yajo 2015-09-14 13:46:08 EDT
Description of problem:
Trying to print to a brother network printer.

After doing this, it prints blank pages (and takes a long time to do it):
# grep brcupsconfpt1 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Version-Release number of selected component:
selinux-policy-3.13.1-128.12.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-200.fc22.x86_64
type:           libreport
Comment 5 RyanEatsFish 2015-10-25 21:22:48 EDT
Description of problem:
Follow-on to the Javascript print bug from earlier.  Details there.

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.7-200.fc22.x86_64
type:           libreport
Comment 6 Nicolas 2015-11-19 21:22:59 EST
Description of problem:
installed printer drivers for Brother MFC-6890CDW network printer and tried to print test page.

Version-Release number of selected component:
selinux-policy-3.13.1-128.18.fc22.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-201.fc22.x86_64
type:           libreport
Comment 7 RyanEatsFish 2015-12-01 00:50:06 EST
Description of problem:
This is at the point of printing an Amazon return UPS label (always) from Firefox.  It does not happen when bringing up the print dialog, but after pressing the system print button.  Ultimately it prints, so I'm thinking this has something to do with printer status/feedback/moitoring.

Version-Release number of selected component:
selinux-policy-3.13.1-128.18.fc22.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.6-200.fc22.x86_64
type:           libreport
Comment 8 Fedora End Of Life 2016-07-19 16:36:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.